clang-tools 8.0.0

Static Public Member Functions | List of all members
llvm::yaml::ScalarEnumerationTraits< SymbolKind > Struct Template Reference

## Static Public Member Functions
static void | enumeration (IO &IO, SymbolKind &Value)
static void | enumeration (IO &io, SymbolKind &value)

## Detailed Description

### template<>
struct llvm::yaml::ScalarEnumerationTraits< SymbolKind >

Definition at line 212 of file YAMLSerialization.cpp.

## Member Function Documentation

## ◆ enumeration() [1/2]

static void llvm::yaml::ScalarEnumerationTraits< SymbolKind >::enumeration | ( | IO & | io,
|  | SymbolKind & | value
| ) |  |
| inline static

Definition at line 49 of file SymbolInfo.cpp.

References clang::find_all_symbols::SymbolInfo::Class, clang::find_all_symbols::SymbolInfo::EnumConstantDecl, clang::find_all_symbols::SymbolInfo::EnumDecl, clang::find_all_symbols::SymbolInfo::Function, clang::find_all_symbols::SymbolInfo::Macro, clang::find_all_symbols::SymbolInfo::TypedefName, clang::find_all_symbols::SymbolInfo::Unknown, and clang::find_all_symbols::SymbolInfo::Variable.

## ◆ enumeration() [2/2]

static void llvm::yaml::ScalarEnumerationTraits< SymbolKind >::enumeration | ( | IO & | IO,
|  | SymbolKind & | Value
| ) |  |
| inline static

Definition at line 213 of file YAMLSerialization.cpp.

References DEFINE_ENUM, and clang::clangd::Unknown.

The documentation for this struct was generated from the following files:

- YAMLSerialization.cpp
- SymbolInfo.cpp